Update a cell component by ID
curl --request PATCH \
--url https://api.ionworks.com/cell_components/{component_id} \
--header 'Content-Type: application/json' \
--data '
{
"material_id": "<string>",
"properties": {}
}
'import requests
url = "https://api.ionworks.com/cell_components/{component_id}"
payload = {
"material_id": "<string>",
"properties": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({material_id: '<string>', properties: {}})
};
fetch('https://api.ionworks.com/cell_components/{component_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_type": "cathode",
"material_id": "<string>",
"id": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"properties": {},
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update a cell component by ID
Update an existing cell component identified by its ID.
Only components in the current organization can be updated.
Update a cell component by ID
Path Parameters
Body
application/json
Response
Successful Response
Model representing a cell component as returned by the API.
Type of the component
Available options:
cathode, anode, electrolyte, separator, case, cell ID of the material
Unique identifier for the component
Organization ID of the component
Project the component is scoped to, derived from the cell specification(s) that reference it.
Timestamp when the component was created
Timestamp when the component was last updated
Application properties using Quantity format for numerics. Example: {'diameter': {'value': 14, 'unit': 'mm'}, 'binder': 'PVDF'}
User ID of the creator.
Was this page helpful?